#!/bin/bash

#configuration de l'interface virtuelle
sudo openvpn --mktun --dev tap0
sudo ip link set tap0 up
sudo ip addr add 192.168.1.100/24 dev tap0
sudo ip link set dev tap0 address 00:11:11:11:11:01
sudo ip route add 192.168.0.0/16 via 192.168.1.1

#suppression du Multicast, de l'IPV6 et message perturbateur
sudo ifconfig tap0 -multicast
sudo sysctl -w net.ipv6.conf.tap0.disable_ipv6=1

#configuration d'un parametre du cache ARP
sudo ip ntable change name arp_cache retrans 40000 dev tap0 


